> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://esendex.ferndocs.com/api-reference/emails/send-email-v-2/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://esendex.ferndocs.com/_mcp/server. # Send email (v2) POST http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/emails Content-Type: application/json Reference: https://esendex.ferndocs.com/api-reference/emails/send-email-v-2 ## Authentication - `X-API-Key` header (required) — Your Esendex API key. ## Request ### Body (application/json) This endpoint expects a SendEmailV2Body. - `campaign` (string, optional, nullable) - `channel` (string, optional, nullable) - `from` (SendEmailV2EmailAddressRequest, optional, nullable) - `subject` (string, optional, nullable) - `templateId` (SendEmailV2BodyTemplateId, optional, nullable) - `body` (SendEmailV2BodyRequest, optional, nullable) - `messages` (list of SendEmailV2SingleMessageRequest, optional, nullable) - `metadata` (map from string to string, optional, nullable) ## Response ### 202 Accepted - `data` (SendEmailV2Response, optional, nullable) - `errors` (list of ErrorDto, optional, nullable) ## Errors ### 400 Bad Request Error Bad Request - `errors` (list of ErrorDto, optional, nullable) ## Types ### SendEmailV2EmailAddressRequest - `email` (string, optional, nullable) - `name` (string, optional, nullable) ### SendEmailV2BodyTemplateId ### SendEmailV2BodyRequest - `text` (string, optional, nullable) - `html` (string, optional, nullable) ### SendEmailV2SingleMessageRequest - `from` (SendEmailV2SingleMessageRequestFrom, optional) - `subject` (string, optional, nullable) - `templateId` (SendEmailV2SingleMessageRequestTemplateId, optional, nullable) - `body` (SendEmailV2SingleMessageRequestBody, optional) - `to` (list of SendEmailV2SingleMessageRequestToItems, optional, nullable) - `cc` (list of SendEmailV2SingleMessageRequestCcItems, optional, nullable) - `bcc` (list of SendEmailV2SingleMessageRequestBccItems, optional, nullable) - `variables` (map from string to string, optional, nullable) - `metadata` (map from string to string, optional, nullable) ### SendEmailV2Response - `requestId` (string, optional) - `metadata` (map from string to string, optional, nullable) - `messages` (list of SendEmailV2ResponseMessagesItems, optional) ### ErrorDto - `errorCode` (string, required) - `errorMessage` (string, required) - `metadata` (map from string to string, optional, nullable) ### SendEmailV2SingleMessageRequestFrom - `email` (string, optional, nullable) - `name` (string, optional, nullable) ### SendEmailV2SingleMessageRequestTemplateId ### SendEmailV2SingleMessageRequestBody - `text` (string, optional, nullable) - `html` (string, optional, nullable) ### SendEmailV2SingleMessageRequestToItems - `email` (string, optional, nullable) - `name` (string, optional, nullable) ### SendEmailV2SingleMessageRequestCcItems - `email` (string, optional, nullable) - `name` (string, optional, nullable) ### SendEmailV2SingleMessageRequestBccItems - `email` (string, optional, nullable) - `name` (string, optional, nullable) ### SendEmailV2ResponseMessagesItems - `messageId` (string, optional) - `metadata` (map from string to string, optional, nullable) ## Examples **Request** ```json {} ``` **Response** ```json { "data": null, "errors": null } ``` **SDK Code** ```python import requests url = "http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/emails" payload = {} headers = { "X-API-Key": "", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/emails'; const options = { method: 'POST', headers: {'X-API-Key': '', 'Content-Type': 'application/json'}, body: '{}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/emails" payload := strings.NewReader("{}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("X-API-Key", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/emails") http = Net::HTTP.new(url.host, url.port) request = Net::HTTP::Post.new(url) request["X-API-Key"] = '' request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/emails") .header("X-API-Key", "") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php request('POST', 'http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/emails', [ 'body' => '{}', 'headers' => [ 'Content-Type' => 'application/json', 'X-API-Key' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/emails"); var request = new RestRequest(Method.POST); request.AddHeader("X-API-Key", ""); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "X-API-Key": "", "Content-Type": "application/json" ] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/emails")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```